/*******************************************************************************
 *	BDspMain_H.h	DSP Types
 *			T.Barnaby,	BEAM Ltd,	2005-11-18
 *******************************************************************************
 */
#ifndef BDspMain_H
#define BDspMain_H	1

#include <BTypes.h>
#include <vector>
#include <complex>

typedef float				BDspSample;
typedef std::complex<float>		BDspCSample;
typedef std::vector<float>		BDspArrayFloat;
typedef std::vector<double>		BDspArrayDouble;
typedef std::vector<BDspSample>		BDspArraySample;
typedef std::vector<BDspCSample>	BDspArrayCSample;

#if BDSP_DEBUG
#define	bdspPrintf(fmt, a...)       printf(fmt, ##a);
#else
#define	bdspPrintf(fmt, a...)
#endif

#endif
